C====== MAIN PROGRAM FOR GOS================
      INTEGER NES,HI,NE,S,NW1,EXPI,RPAE,TAU,LV,
     *        IZ(25),U1(25),SPI(25),
     *        KZ(12),K1(12),NNLK(25),
     *        I3(12),LVK(12),K(12),LI(25),LK(12),
     *        IMIN(12),LVMK(50),CHAN(12)
      REAL*8 Y,DELY,RF1,V01,RF2,V02,
     *       Q1(15),CLS(10),B1(10),LAMI(12),
     *       XMAXK(12),XK0(12),DELXK(12),LAMI1(12),
     *       LAMK(720),LADK(720),FME(9000),FMEA(9000),
     *       AL(720),BL(720),DK1(720),
     *       SM1(720),SM2(720),SMC1(720),SMC2(720),
     *       MB1(720),MB2(720),OMEGA(720),
     *       DM1(720),LAMM(720),
     *       C(1440),Q(1440),DV1(1440),DV2(1440),
     *       ARB(17280),ARB1(17280),ARB2(14400),
     *       AM(60),PH(60),EELRY(60),FF(1440),PH1(1440),
     *       R1(2015),R2(2015),R3(2015),R4(2015),R5(2015),
     *       R6(2015),R7(2015),R9(2015),R8(2075000),
     *       MA(2075000)
      NAMELIST/OSF2/NES,HI,IZ,EXPI,LAMI1,CHAN,Y,DELY,TAU,
     *     LV,RPAE,NE,S,NW1,RF1,V01,RF2,V02
      OPEN(5,FILE='SYS$INPU',STATUS='OLD')
      READ(5,OSF2)
      OPEN(6,FILE='SYS$OUTP',STATUS='NEW')
      OPEN(10,FILE='OLD$DB1',STATUS='OLD',FORM='UNFORMATTED')
      OPEN(11,FILE='OLD$DB2',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.1)
     *OPEN(12,FILE='OLD$DB3',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.2)
     *OPEN(13,FILE='OLD$DB4',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.3)
     *OPEN(14,FILE='OLD$DB5',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.4)
     *OPEN(15,FILE='OLD$DB6',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.5)
     *OPEN(16,FILE='OLD$DB7',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.6)
     *OPEN(17,FILE='OLD$DB8',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.7)
     *OPEN(18,FILE='OLD$DB9',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.8)
     *OPEN(19,FILE='OLD$DB10',STATUS='OLD',FORM='UNFORMATTED')
      IF(NES.GT.9)
     *OPEN(20,FILE='OLD$DB11',STATUS='OLD',FORM='UNFORMATTED')

      IF((NE.GT.2000).OR.(NW1.GT.60).OR.
     *  (NES.GT.12)) THEN
        WRITE(6,10)
        WRITE(*,10)
      END IF
   10 FORMAT('  CHECK ARRAYS DIMENSIONS')
      CALL GOSFUL2(NES,HI,IZ,EXPI,LAMI1,CHAN,Y,DELY,TAU,
     *       LV,RPAE,NE,S,NW1,RF1,V01,RF2,V02,
     *       U1,NNLK,SPI,K1,KZ,
     *       I3,LVK,K,LI,LK,LVMK,CLS,B1,LAMI,IMIN,
     *       XMAXK,XK0,DELXK,Q1,
     *       LAMK,LADK,FME,FMEA,
     *       AL,BL,DK1,MA,
     *       C,Q,DV1,DV2,ARB,ARB1,ARB2,
     *       SM1,SM2,SMC1,SMC2,MB1,MB2,OMEGA,DM1,LAMM,
     *       AM,PH,EELRY,FF,PH1,
     *       R1,R2,R3,R4,R5,R6,R7,R9,R8)
      STOP
      END
